import { Component } from '@angular/core';
import { RiskCategoryComponent } from './risk-category/risk-category.component';
import { RiskLevelComponent } from './risk-level/risk-level.component';

@Component({
  selector: 'knowledge-list',
  standalone: true,
  imports: [RiskLevelComponent, RiskCategoryComponent],
  templateUrl: './list.component.html',
  styleUrl: './list.component.less',
})
export class ListComponent {
  tabs = [
    {
      label: '风险知识',
      value: 'risk-knowledge',
    },
    {
      label: '企业录入情况',
      value: 'enterprise-input',
    },
    {
      label: '更新纪录',
      value: 'update-record',
    },
  ];
  activeTab = this.tabs[0].value;

  changeTab(tab: string) {
    this.activeTab = tab;
  }
}
