import { Component } from '@angular/core';
import { horizontalInOut, scaleInOut } from '../../../../../common.animation';
import { CommonNzModule } from '../../../../../common.nz.module';

@Component({
  selector: 'workbench-hazard-remediation',
  standalone: true,
  imports: [CommonNzModule],
  templateUrl: './hazard-remediation.component.html',
  styleUrl: './hazard-remediation.component.less',
  animations: [horizontalInOut, scaleInOut],
})
export class HazardRemediationComponent {
  reminder = {
    visible: false,
    content: '2起隐患治理今日到期呀～',
  };

  items = [
    { label: '重大隐患治理', count: 0 },
    { label: 'A类隐患治理', count: 1 },
    { label: 'B类隐患治理', count: 1 },
    { label: 'C类隐患治理', count: 0 },
  ];

  ngAfterViewInit() {
    setTimeout(() => {
      this.reminder.visible = true;
    }, 1000);
  }

  handleReminderClose() {
    this.reminder.visible = false;
  }
}
