import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';
import { ApiService } from './api.service';

@Injectable({
  providedIn: 'root',
})
export class BasicDataService {
  private _initialized = false;
  $fetched = new Subject<void>();
  constructor(private readonly api: ApiService) {}
  clear() {
    this._initialized = false;
  }

  async init(): Promise<boolean> {
    if (this._initialized) {
      return true;
    }
    return this.onInit().catch(err => {
      console.error('init error', err);
      return false;
    });
  }

  private async onInit() {
    this._initialized = true;
    return true;
  }
}
